
body {
    animation: desvanecer 2s ease-in-out forwards;
}

@keyframes desvanecer {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
        visibility: visible;
    }
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* *,
::before,
::after {
  box-sizing: border-box;
} */

@import url("https://fonts.googleapis.com/css?family=Poppins:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i&subset=devanagari,latin-ext");

:root {
  --font-family-main: "Poppins", sans-serif;
  --main-color: #bf66ff;
}

body {
  /* display: grid;
  place-content: center; */
  height: 100vh;
  width: 100%; 
  overflow-x: hidden; 
 background-image: url('assets/fondo1.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;


}
@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

.App-logo { 
 margin-left: 109px;
 margin-top: 10px;
 user-select: none;
 pointer-events: none; 
 z-index: 2;
} 
#logo{
   animation: glow1 5s ease-in-out infinite alternate;
}

@keyframes glow {
   0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
  
  } 

#inicial{
  
  display: grid;
  place-content: center;
  align-items: center;
  text-align: center;
  justify-content: center;
}

.card0 {
  z-index: 5;
  position: relative;
  /* display: grid;
  place-content: center; */
  justify-content:left;
  text-align: left;
  font-family: var(--font-family-main);
  width: 350px;
  height: auto;
  margin-top: 50px;
  padding: 3px 23px;
  color: #f4f6f7;
  background-color: rgba(165, 179, 209, 0.1);
  
  border-radius: 15px;
  
  box-shadow: 15px 15px 30px var(--main-color), -20px -15px 35px #015c68; 
 /*  border: 2px solid rgba(255, 255, 255, 0.5);
    border-radius: 20px;
    background-color: rgb(7, 156, 214);
    backdrop-filter: blur(15px); */
  @media (width <= 360px){
    margin-top: 5px;
    scale: 0.9;
   
  } 
  animation: shadow-box 2s linear infinite;
}


@keyframes shadow-box {
  0% {
    box-shadow: 15px 15px 30px var(--main-color), -20px -15px 35px #015c68;
  }
  50% {
    box-shadow: 10px 0px 38px var(--main-color), -15px 0px 43px #015c68;
  }
  100% {
    box-shadow: 15px 15px 30px var(--main-color), -20px -15px 35px #015c68;
  }
}

.card:hover {
  animation-play-state: paused;
}

#p1a {
  font-weight: 700;
  color: rgba(249, 252, 251, 0.932);
}

.card-description {
  margin-top: 9px;
  font-size: 18px;
  opacity: 0.9;
  margin-left: 11px;
}

.card-get_list {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 23px;
  border-bottom: 1px dashed rgba(0, 0, 0, 0.5);
  padding-left: 15px;
  padding-bottom: 15px;
}



.card-price {
  display: flex;
  width: max-content;
  height: max-content;
  align-items: center;
  margin-top: 13px;
  font-size: 11px;
  margin-left: 13px;
  margin-bottom: 10px;
}

.card-price_month {
  font-size: 16px;
}


#card2{
  position: relative;
  display: grid;
  place-content: center;
  background: transparent;
  
  align-items: center;
  justify-content: center;
  width: 100vw;
  height: auto;
  top: 0px;
}




/**************************************boton proceder al pago*****************************************************************************************************************************************/ 
#payment{
  position: relative;
  display: grid; 
  place-content: center;
  background: transparent;
  text-align: center;
  align-items: center;
  justify-content: center;
  width: 100vw;
  height: auto;
  top: 0px;
}


.tipop {
    position: relative;
    width: 250px;
    height: 45px;
    font-size: 22px;
    display: inline-flex;
    place-items: center;
    background: transparent;
    color: var(--glow-color);
    --glow-color: rgb(217,176,255);
  --glow-spread-color:rgb(191,123,255,0.781);
  --enhanced-glow-color:rgb(231,206,255);
    border: .20em solid var(--glow-color);
    box-shadow: 0 0 1em .21em var(--glow-color);    
    text-shadow: 0 0 1em var(--glow-color); 
    border-radius: 10px;
    line-height: 100%;
    box-shadow: transparent;
    text-align: center;
}

.tipop::placeholder{
    color: #00b3ff;
}
select option {
    color: #fc0808;
}

.montop {
    position: relative;
    text-align: center;
    width: 70%;
    height: 45px;
    font-size: 19px;
    right:0;
    bottom: 0;
    top: 0;
    left: 0;
    
    background: transparent;
    color: var(--glow-color);
    --glow-color: rgb(217,176,255);
  --glow-spread-color:rgb(191,123,255,0.781);
  --enhanced-glow-color:rgb(231,206,255);
    border: .20em solid var(--glow-color);
    text-shadow: 0 0 1em var(--glow-color); 
    border-radius: 10px;
    /* line-height: 100%; */
    box-shadow: transparent;
   display: none; 
}

.montop::placeholder{
    color: #10f5cf;
}

.payment-loader .binding {
  content : '';
  width : 60px;
  height : 4px;
  border : 2px solid #00c4bd;
  margin : 0 auto;
  
}

.payment-loader .pad {
  width : 69px;
  height : 45px;
  border-radius : 8px;
  border : 2px solid #00c4bd;
  padding : 6px;
  margin : 0 auto;
}

.payment-loader .chip {
  width : 12px;
  height: 8px;
  background: #00c4bd;
  border-radius: 3px;
  margin-top: 4px;
  margin-left: 3px;
}

.payment-loader .line {
  width : 52px;
  margin-top : 6px;
  margin-left : 3px;
  height : 4px;
  background: #00c4bd;
  border-radius: 100px;
  opacity : 0;
  -webkit-animation : writeline 3s infinite ease-in;
  -moz-animation : writeline 3s infinite ease-in;
  -o-animation : writeline 3s infinite ease-in;
  animation : writeline 3s infinite ease-in;
}

.payment-loader .line2 {
  width : 32px;
  margin-top : 6px;
  margin-left : 3px;
  height : 4px;
  background: #00c4bd;
  border-radius: 100px;
  opacity : 0;
  -webkit-animation : writeline2 3s infinite ease-in;
  -moz-animation : writeline2 3s infinite ease-in;
  -o-animation : writeline2 3s infinite ease-in;
  animation : writeline2 3s infinite ease-in;
}

.payment-loader .line:first-child {
  margin-top : 0;
}

.payment-loader .line.line1 {
  -webkit-animation-delay: 0s;
  -moz-animation-delay: 0s;
  -o-animation-delay: 0s;
  animation-delay: 0s;
}

.payment-loader .line.line2 {
  -webkit-animation-delay: 0.5s;
  -moz-animation-delay: 0.5s;
  -o-animation-delay: 0.5s;
  animation-delay: 0.5s;
}

#loader-text{
  gap: 0px;
  width: 100%;
  display: grid;
  place-items: center;
  height: auto;
  line-height: 25px;
  margin-top: -30px;
}

#ul2 {
 position: relative;
    display: none;
    color: aliceblue;;
    font-size: 19px;
    font-weight: 500;
    letter-spacing: 3px;
    width: 100%;
    user-select: none;
    pointer-events: none; 
    z-index: 21;
    padding-bottom: 15px;
    /* padding-top: 15px; */
    padding-left: 10px;
    padding-right: 10px;
}


/**************************************************************************btn confirm pay puntov************************************/
:root {
  --background: #33837e;
  --left-side: transparent;
  --card: #c7ffbc;
  --card-line: #80ea69;
  --button-color-3: #26850e;
  --button-color-2: #379e1f;
  --button-color-1: #56be3e;
  --post: #dddde0;
  --numbers: #838183;
  --numbers-2: #aaa9ab;
  --post-line: #757375;
  --post-line2: #545354;
  --dollar: #4b953b;
}
#puntoVenta{
  width: 100%;
  display: grid;
  place-items: center;
  height: auto;
  margin: 0 auto;
}
.container {
  background-color: transparent;
 /*  display: flex; */
  justify-content: center;
  width: 240px;
  height: 120px;
  position: relative;
  left:0px;
  border-radius: 10px;
  transition: 0.3s ease-in-out;
  color: var(--glow-color);
    --glow-color: rgb(217,176,255);
  --glow-spread-color:rgb(191,123,255,0.781);
  --enhanced-glow-color:rgb(231,206,255);
    border: .20em solid var(--glow-color);
    box-shadow: 0 0 1em .21em var(--glow-color);    
    text-shadow: 0 0 1em var(--glow-color); 
   display: none; 
}
.container:before {
  width: 100vw;
  position: absolute;
  top: 0;
  left: -100vw;
  height: 100%;
  content: "";
}
.container:hover {
  transform: scale(1.03);
  width: 220px;
}
.container:hover .left-side {
  width: 100%;
}

.left-side {
  background-color: var(--left-side);
  width: 130px;
  height: 120px;
  border-radius: 4px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: 0.3s;
  flex-shrink: 0;
  overflow: hidden;
}

.right-side {
  width: auto;
  display: flex;
  align-items: center;
  text-align:left;
  overflow: hidden;
  cursor: pointer;
  justify-content: space-between;
  white-space: nowrap;
  transition: 0.3s;

}
.right-side:hover {
  background-color: #f9f7f9;
}

.arrow {
  width: 20px;
  height: 20px;
  margin-right: 20px;
  display: none;
}

.new {
  font-size: 21px;
  font-family: "Poppins", sans-serif;
  margin-left: 0px;
}

.card {
  width: 70px;
  height: 46px;
  background-color: var(--card);
  border-radius: 6px;
  position: absolute;
  display: flex;
  z-index: 10;
  flex-direction: column;
  align-items: center;
  box-shadow: 9px 9px 9px -2px rgba(77, 200, 143, 0.72);
  -moz-box-shadow: 9px 9px 9px -2px rgba(77, 200, 143, 0.72);
  -webkit-box-shadow: 9px 9px 9px -2px rgba(77, 200, 143, 0.72);
}

.card-line {
  width: 65px;
  height: 13px;
  background-color: var(--card-line);
  border-radius: 2px;
  margin-top: 7px;
}

@media only screen and (max-width: 480px) {
  .container {
    transform: scale(0.7);
  }
  .container:hover {
    transform: scale(0.74);
  }

  .new {
    font-size: 18px;
  }
}
.buttons {
  width: 8px;
  height: 8px;
  background-color: var(--button-color-2);
  box-shadow: 0 -10px 0 0 var(--button-color-3), 0 10px 0 0 var(--button-color-1);
  border-radius: 50%;
  margin-top: 5px;
  transform: rotate(90deg);
  margin: 10px 0 0 -30px;
}

.container:hover .card {
  animation: slide-top 1.2s cubic-bezier(0.645, 0.045, 0.355, 1) both;
}

.container:hover .post {
  animation: slide-post 1s cubic-bezier(0.165, 0.84, 0.44, 1) both;
}

@keyframes slide-top {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  50% {
    -webkit-transform: translateY(-70px) rotate(90deg);
    transform: translateY(-70px) rotate(90deg);
  }
  60% {
    -webkit-transform: translateY(-70px) rotate(90deg);
    transform: translateY(-70px) rotate(90deg);
  }
  100% {
    -webkit-transform: translateY(-8px) rotate(90deg);
    transform: translateY(-8px) rotate(90deg);
  }
}
.post {
  width: 63px;
  height: 75px;
  background-color: var(--post);
  position: absolute;
  z-index: 11;
  bottom: 10px;
  top: 120px;
  border-radius: 6px;
  overflow: hidden;
}

.post-line {
  width: 47px;
  height: 9px;
  background-color: var(--post-line2);
  position: absolute;
  border-radius: 0px 0px 3px 3px;
  right: 8px;
  top: 8px;
}
.post-line:before {
  content: "";
  position: absolute;
  width: 47px;
  height: 9px;
  background-color: var(--post-line);
  top: -8px;
}

.screen {
  width: 47px;
  height: 23px;
  background-color: #ffffff;
  position: absolute;
  top: 22px;
  right: 8px;
  border-radius: 3px;
}

.numbers {
  width: 12px;
  height: 12px;
  background-color: var(--numbers);
  box-shadow: 0 -18px 0 0 var(--numbers), 0 18px 0 0 var(--numbers);
  border-radius: 2px;
  position: absolute;
  transform: rotate(90deg);
  left: 25px;
  top: 52px;
}

.numbers-line2 {
  width: 12px;
  height: 12px;
  background-color: var(--numbers-2);
  box-shadow: 0 -18px 0 0 var(--numbers-2), 0 18px 0 0 var(--numbers-2);
  border-radius: 2px;
  position: absolute;
  transform: rotate(90deg);
  left: 25px;
  top: 68px;
}

@keyframes slide-post {
  50% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-70px);
    transform: translateY(-70px);
  }
}
.dollar {
  position: absolute;
  font-size: 16px;
  font-family: "Lexend Deca", sans-serif;
  width: 100%;
  left: 0;
  top: 0;
  color: var(--dollar);
  text-align: center;
}

.container:hover .dollar {
  animation: fade-in-fwd 0.3s 1s backwards;
}

@keyframes fade-in-fwd {
  0% {
    opacity: 0;
    transform: translateY(-5px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

/**************************************************************************agregar cilindros************************************/

#addcil{
  position: relative;
  display: none;
  place-content: center;
  align-items: center;
  text-align: center;
  justify-content: center;
  gap: 5px;
  margin-top: -69px;
  width: 100vw;
  scale: 1.3;
}
#span1 {
  display: none;
  position: relative;
  justify-content: center;
  align-items: center;
  text-align: center;
  user-select: none;
  pointer-events: none; 
  font-weight: 400;
  color: whitesmoke;
  text-shadow: 2px 2px 0px rgba(9, 146, 226, 0.856), 
  -1px -1px 0px rgba(245, 244, 244, 0.842);
  letter-spacing: 1px;
  left: 0px;
  top: 15px;
  font-size: 17px;
  height: auto;
  width: 85vw;
  transform: translate(-50% -50%);
  z-index: 10;
}
 .agregar {
   position: relative;
   margin: auto;
    width: 99px;
    margin: 0;
    margin-top: 0px;
    margin-bottom: 5px;
    margin-left: -25px;
    font-size: 16px;
  color: #f8fbfc;
  background-color: transparent;
 
  border-radius: 10px;
 }
 .agregar::placeholder{
   --glow-color: rgb(217,176,255);
   color: var(--glow-color);
 }
 #addcil .canti{
  position: absolute;
   margin: auto;
    width: 95px;
    margin: 0;
    margin-top: 0px;
    margin-bottom: 5px;
    left: 110px;
    background-color: transparent;
    font-size: 16px;
  color: #f8fbfc;
  border-radius: 10px;
 }
 
 #addcil .delete{
    width: 20px;
    height: 20px;    
    position: absolute; 
    background:transparent;
    border: none;
    outline: none;
    border-radius: 40px;
    cursor: pointer;
    font-size: 17px;
    color: rgb(253, 5, 26);
    margin: 2px 120px;
    left: 99px;
 }
 #addpro {
  --glow-color: rgb(217,176,255);
  --glow-spread-color:rgb(191,123,255,0.781);
  --enhanced-glow-color:rgb(231,206,255);
  --btn-color:rgb(22,1,41);
    padding: 0.4em 1em;
    border: .20em solid var(--glow-color);
    color: var(--glow-color);
    font-size: 16px;
    font-weight:lighter;
    background-color: transparent;
    /* background:var(--glow-color);
    background-color: var(--btn-color); */
    width: auto;
    height: auto;
    position: relative;
    outline: none;   
    border-radius: 9px;   
    cursor: pointer;
    transition: all 0.3s;
    
    box-shadow: 0 0 1em .12em var(--glow-color);
    text-shadow: 0 0 .4em var(--glow-color);
    
}

#addpro:hover {
   background:var(--glow-color);
   background-color: var(--btn-color);
    color: var(--glow-color);
}



/***************************************************************************************************************************************************/


@keyframes writeline {
  0% { width : 0px; opacity: 0; }
  33% { width : 52px; opacity : 1; }
  70% { opacity : 1; }
  100% {opacity : 0; }
}

@keyframes writeline2 {
  0% { width : 0px; opacity: 0; }
  33% { width : 32px; opacity : 1; }
  70% { opacity : 1; }
  100% {opacity : 0; }
}

 /****************************************************************************************************/
#bton1{
  width: 100%;
  display: grid;
  place-items: center;
  height: auto;
  margin: 0 auto;
} 
#btn1{
 
   opacity: 0; /*cambiar a 0 al terminar pruebas*/
   display: none;
   font-size: 19px;
   font-weight: 400;
   color: #10f5cf;
   --glow-color: rgb(217,176,255);
  --glow-spread-color:rgb(191,123,255,0.781);
  --enhanced-glow-color:rgb(231,206,255);
   text-shadow: 0 0 1em var(--glow-color); 
   right:0;
   bottom: 0;
   top: 0;
   left: 0;
   margin: 0 auto;
   
}


@property --gradient-angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@property --gradient-angle-offset {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@property --gradient-percent {
  syntax: "<percentage>";
  initial-value: 5%;
  inherits: false;
}

@property --gradient-shine {
  syntax: "<color>";
  initial-value: white;
  inherits: false;
}

.shiny-cta {
  --animation: gradient-angle linear infinite;
  --duration: 3s;
  --shadow-size: 2px;
  isolation: isolate;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  outline-offset: 4px;
  padding: 1.0rem 2.1rem;
  font-family: inherit;
  font-size: 1.125rem;
  line-height: 1.2;
  border: 1px solid transparent;
  border-radius: 360px;
  color: var(--shiny-cta-fg);
  background: linear-gradient(var(--shiny-cta-bg), var(--shiny-cta-bg))
      padding-box,
    conic-gradient(
        from calc(var(--gradient-angle) - var(--gradient-angle-offset)),
        transparent,
        var(--shiny-cta-highlight) var(--gradient-percent),
        var(--gradient-shine) calc(var(--gradient-percent) * 2),
        var(--shiny-cta-highlight) calc(var(--gradient-percent) * 3),
        transparent calc(var(--gradient-percent) * 4)
      )
      border-box;
  box-shadow: inset 0 0 0 1px var(--shiny-cta-bg-subtle);

  &::before,
  &::after,
  span::before {
    content: "";
    pointer-events: none;
    position: absolute;
    inset-inline-start: 50%;
    inset-block-start: 50%;
    translate: -50% -50%;
    z-index: -1;
  }

  &:active {
    translate: 0 1px;
  }
}

/* Dots pattern */
.shiny-cta::before {
  --size: calc(100% - var(--shadow-size) * 3);
  --position: 2px;
  --space: calc(var(--position) * 2);
  width: var(--size);
  height: var(--size);
  background: radial-gradient(
      circle at var(--position) var(--position),
      white calc(var(--position) / 4),
      transparent 0
    )
    padding-box;
  background-size: var(--space) var(--space);
  background-repeat: space;
  mask-image: conic-gradient(
    from calc(var(--gradient-angle) + 45deg),
    black,
    transparent 10% 90%,
    black
  );
  border-radius: inherit;
  opacity: 0.4;
  z-index: -1;
}

/* Inner shimmer */
.shiny-cta::after {
  --animation: shimmer linear infinite;
  width: 100%;
  aspect-ratio: 1;
  background: linear-gradient(
    -50deg,
    transparent,
    var(--shiny-cta-highlight),
    transparent
  );
  mask-image: radial-gradient(circle at bottom, transparent 40%, black);
  opacity: 0.6;
}

.shiny-cta span {
  z-index: 1;

  &::before {
    --size: calc(100% + 1rem);
    width: var(--size);
    height: var(--size);
    box-shadow: inset 0 -1ex 2rem 4px var(--shiny-cta-highlight);
    opacity: 0;
  }
}

/* Animate */
.shiny-cta {
  --transition: 800ms cubic-bezier(0.25, 1, 0.5, 1);
  transition: var(--transition);
  transition-property: --gradient-angle-offset, --gradient-percent,
    --gradient-shine;

  &,
  &::before,
  &::after {
    animation: var(--animation) var(--duration),
      var(--animation) calc(var(--duration) / 0.4) reverse paused;
    animation-composition: add;
  }

  span::before {
    transition: opacity var(--transition);
    animation: calc(var(--duration) * 1.5) breathe linear infinite;
  }
}

.shiny-cta:is(:hover, :focus-visible) {
  --gradient-percent: 20%;
  --gradient-angle-offset: 95deg;
  --gradient-shine: var(--shiny-cta-highlight-subtle);

  &,
  &::before,
  &::after {
    animation-play-state: running;
  }

  span::before {
    opacity: 1;
  }
}

@keyframes gradient-angle {
  to {
    --gradient-angle: 360deg;
  }
}

@keyframes shimmer {
  to {
    rotate: 360deg;
  }
}

@keyframes breathe {
  from,
  to {
    scale: 1;
  }
  50% {
    scale: 1.2;
  }
}


.send button{
    position: fixed;
    text-align: center;
    --glow-color: rgb(217,176,255);
  --glow-spread-color:rgb(191,123,255,0.781);
  --enhanced-glow-color:rgb(231,206,255);
  --btn-color:rgb(22, 1, 41);
    padding: 0.1em 1em;
    border: .20em solid var(--glow-color);
    color: var(--glow-color);
    font-size: 23px;
    background-color: transparent;
    top: 645px;
    width: auto;
    height: 45px;
    outline: none;   
    border-radius: 0.7em;   
    cursor: pointer;
    transition: all 0.3s;
    left: 250px;
    box-shadow: 0 0 1em .21em var(--glow-color);    
    text-shadow: 0 0 1em var(--glow-color);  
    display: none;
}

.send::placeholder{
    color: #00b3ff;
}
#ion-icon{
    
    align-items: center;
    justify-content: center;
    position: fixed;
    color: rgb(224, 240, 10);
    top: 135px;
    background-color:transparent;
    width: 23px;
    height: 23px;
    left: 345px;
    cursor: pointer;
    /*/animation: glow 4s ease-in-out infinite alternate;*/
  }
#ion-icon1{
    display: none;
    align-items: center;
    justify-content: center;
    position: fixed;
    color: aliceblue;
    top: 559px;
    background-color:transparent;
    width: 23px;
    height: 23px;
    left: 371px;
    cursor: pointer;
    /*/animation: glow 4s ease-in-out infinite alternate;*/
  }
  #ion-icon2{
    display: none;
    align-items: center;
    justify-content: center;
    position: fixed;
    color: aliceblue;
    top: 406px;
    background-color:transparent;
    width: 23px;
    height: 23px;
    left: 371px;
    cursor: pointer;
    /*/animation: glow 4s ease-in-out infinite alternate;*/
  } 

/*******************************************scanning******************************************************************/
#msgpay{
    position: relative;
    display: none;
    color: aliceblue;;
    font-size: 19px;
    font-weight: 500;
    letter-spacing: 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
    user-select: none;
    pointer-events: none; 
    z-index: 21;
    padding-bottom: 1px;
    padding-top: 1px;
    padding-left: 0px;
    padding-right: 0px;
    
 }

.nref {
    position: relative;
    text-align: center;
    width: 70%;
    height: 45px;
    font-size: 19px;
    right:0;
    bottom: 0;
    top: 0;
    left: 0;
    
    background: transparent;
    color: var(--glow-color);
    --glow-color: rgb(217,176,255);
  --glow-spread-color:rgb(191,123,255,0.781);
  --enhanced-glow-color:rgb(231,206,255);
    border: .20em solid var(--glow-color);
    text-shadow: 0 0 1em var(--glow-color); 
    border-radius: 10px;
    /* line-height: 100%; */
    box-shadow: transparent;
   display: none; 
}

.nref::placeholder{
    color: #10f5cf;
}
#escaner{
 gap: 0px;
  width: 100%;
  display: grid;
  place-items: center;
  height: auto;
  user-select: none;
    pointer-events: none;
  
}

.ocrloader {
  width: 350px;
  height: 250px;
  display: none; 
  outline-offset: 10px;
  right:0;
  bottom: 0;
  top: 0;
  left: 0;
  user-select: none;
    pointer-events: none;
  position: relative;
}

.ocrloader span::before {
  content: "";
  position: absolute;
  top: 5%;
  bottom: 0;
  left: 4%;
  width: 10px;
  height: 90%;
  background: #18c89b;
  box-shadow: 0 0 50px 10px #18c89b;
  clip-path: inset(0);
  animation: x 1s ease-in-out infinite alternate, y 1s ease-in-out infinite;
}

.ocrloader p::before {
  content: "";
  display: inline-block;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: #18c89b;
  position: relative;
  right: 4px;
}

.ocrloader p {
  color: #18c89b;
  position: absolute;
  bottom: -5px;
  left: 25%;
  font-size: 16px;
  font-weight: 600;
  animation: blinker 1s linear infinite;
  font-family: sans-serif;
  text-transform: uppercase;
}

.ocrloader:before,
.ocrloader:after,
.ocrloader em:after,
.ocrloader em:before {
  border-color: #18c89b;
  content: "";
  position: absolute;
  width: 45px;
  height: 46px;
  border-style: solid;
  border-width: 0px;
}

.ocrloader:before {
  left: 0;
  top: 0;
  border-left-width: 5px;
  border-top-width: 5px;
  border-radius: 5px 0 0 0;
}

.ocrloader:after {
  right: 0;
  top: 0;
  border-right-width: 5px;
  border-top-width: 5px;
  border-radius: 0 5px 0 0;
}

.ocrloader em:before {
  left: 0;
  bottom: 0;
  border-left-width: 5px;
  border-bottom-width: 5px;
  border-radius: 0 0 0 5px;
}

.ocrloader em:after {
  right: 0;
  bottom: 0;
  border-right-width: 5px;
  border-bottom-width: 5px;
  border-radius: 0 0 5px 0;
}

@keyframes move {
  0%, 100% {
    transform: translateY(190px);
  }
  50% {
    transform: translateY(0%);
  }
  75% {
    transform: translateY(160px);
  }
}
@keyframes blinker {
  50% {
    opacity: 0;
  }
}
@keyframes x {
  to {
    transform: translateX(-100%);
    left: 100%;
  }
}
@keyframes y {
  33% {
    clip-path: inset(0 0 0 -100px);
  }
  50% {
    clip-path: inset(0 0 0 0);
  }
  83% {
    clip-path: inset(0 -100px 0 0);
  }
}

/***************************TRUCK********************************************************************************************/
#camion{
  position: relative;
  align-items: center;
  justify-content: center;
  scale: 1.5;
  width: 100vw;
  height: 10vh;
  display: none;
  top: 10vh;
  
}

#truck1{

z-index: 1;

}
.truck-button {
    --color: #fff;
    --background: rgba(165, 179, 209, 0.1);
    --tick: #16BF78;
    --base: #0D0F18;
    --wheel: #2B3044;
    --wheel-inner: #646B8C;
    --wheel-dot: #fff;
    --back: #6D58FF;
    --back-inner: #362A89;
    --back-inner-shadow: #2D246B;
    --front: #A6ACCD;
    --front-shadow: #535A79;
    --front-light: #FFF8B1;
    --window: #2B3044;
    --window-shadow: #404660;
    --street: #646B8C;
    --street-fill: #404660;
    /* --box: transparent; */
    --box-shadow: #B89B66;
    padding: 12px 0;
    width: 172px;
    cursor: pointer;
    text-align: center;
    position: relative;
    border: none;
    outline: none;
    color: var(--color);
    background: var(--background);
    border-radius: var(--br, 15px);
 
    
   /*  -webkit-appearance: none; */
    -webkit-tap-highlight-color: transparent;
    transform-style: preserve-3d;
    transform: rotateX(var(--rx, 0deg)) translateZ(0);
    transition: transform .5s, border-radius .3s linear var(--br-d, 0s);
    &:before,
    &:after {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 6px;
        display: block;
        background: var(--b, var(--street));
        transform-origin: 0 100%;
        transform: rotateX(90deg) scaleX(var(--sy, 1));
    }
    &:after {
        --sy: var(--progress, 0);
        --b: var(--street-fill);
    }
    #default1{
      padding-left: 1px;
      font-size: 15px;
    }
    .default,
    .success {
        display: block;
        font-weight: 500;
        font-size: 14px;
        line-height: 24px;
        opacity: var(--o, 1);
        transition: opacity .3s;
    }
    .success {
        --o: 0;
        position: absolute;
        top: 12px;
        left: 0;
        right: 0;
        svg {
            width: 12px;
            height: 10px;
            display: inline-block;
            vertical-align: top;
            fill: none;
            margin: 7px 0 0 12px;
            stroke: var(--tick);
            stroke-width: 2;
            stroke-linecap: round;
            stroke-linejoin: round;
            stroke-dasharray: 16px;
            stroke-dashoffset: var(--offset, 16px);
            transition: stroke-dashoffset .4s ease .45s;
        }
    }
    .truck {
        position: absolute;
        width: 72px;
        height: 28px;
        transform: rotateX(90deg) translate3d(var(--truck-x, 4px), calc(var(--truck-y-n, -26) * 1px), 12px);
        &:before,
        &:after {
            content: '';
            position: absolute;
            bottom: -6px;
            left: var(--l, 18px);
            width: 10px;
            height: 10px;
            border-radius: 50%;
            z-index: 2;
            box-shadow: inset 0 0 0 2px var(--wheel), inset 0 0 0 4px var(--wheel-inner);
            background: var(--wheel-dot);
            transform: translateY(calc(var(--truck-y) * -1px)) translateZ(0);
        }
        &:after {
            --l: 54px;
        }
        .wheel,
        .wheel:before {
            position: absolute;
            bottom: var(--b, -6px);
            left: var(--l, 6px);
            width: 10px;
            height: 10px;
            border-radius: 50%;
            background: var(--wheel);
            transform: translateZ(0);
        }
        .wheel {
            transform: translateY(calc(var(--truck-y) * -1px)) translateZ(0);
        }
        .wheel:before {
            --l: 35px;
            --b: 0;
            content: '';
        }
        .front,
        .back,
        .box1,
        .box2,
        .box3,
        .box4,
        .box5,
        .box {
            position: absolute;
        }
        .back {
            left: 0;
            bottom: 0;
            z-index: 1;
            width: 47px;
            height: 5px; /*alto parte de atras del camion */
            border-radius: 1px 1px 0 0;
            background: linear-gradient(68deg, var(--back-inner) 0%, var(--back-inner) 22%, var(--back-inner-shadow) 22.1%, var(--back-inner-shadow) 100%);
            &:before,
            &:after {
                content: '';
                position: absolute;
            }
            &:before {
                left: 11px;
                top: 0;
                right: 0;
                bottom: 0;
                z-index: 2;
                border-radius: 0 1px 0 0;
                background: var(--back);
            }
            &:after {
                border-radius: 1px;
                width: 73px;
                height: 2px;
                left: -1px;
                bottom: -2px;
                background: var(--base);
            }
        }
        .front {
            left: 47px;
            bottom: -1px;
            height: 22px;
            width: 24px;
            -webkit-clip-path: polygon(55% 0, 72% 44%, 100% 58%, 100% 100%, 0 100%, 0 0);
            clip-path: polygon(55% 0, 72% 44%, 100% 58%, 100% 100%, 0 100%, 0 0);
            background: linear-gradient(84deg, var(--front-shadow) 0%, var(--front-shadow) 10%, var(--front) 12%, var(--front) 100%);
            &:before,
            &:after {
                content: '';
                position: absolute;
            }
            &:before {
                width: 7px;
                height: 8px;
                background: #fff;
                left: 7px;
                top: 2px;
                -webkit-clip-path: polygon(0 0, 60% 0%, 100% 100%, 0% 100%);
                clip-path: polygon(0 0, 60% 0%, 100% 100%, 0% 100%);
                background: linear-gradient(59deg, var(--window) 0%, var(--window) 57%, var(--window-shadow) 55%, var(--window-shadow) 100%)
            }
            &:after {
                width: 3px;
                height: 2px;
                right: 0;
                bottom: 3px;
                background: var(--front-light);
            }
        }
        .box {
            width: 11px;
            height: 20px;
            right: 56px;
            bottom: 0;
            z-index: 1;
            border-radius: 1px;
            overflow: hidden;
            transform: translate(calc(var(--box-x, -24) * 1px), calc(var(--box-y, -4) * 1px)) scale(var(--box-s, .5));
            opacity: var(--box-o, 0);
            background: linear-gradient(68deg, var(--box) 0%, var(--box) 50%, var(--box-shadow) 50.2%, var(--box-shadow) 100%);
            background-size: 250% 100%;
            background-position-x: calc(var(--bx, 0) * 1%);
            &:before,
            &:after {
                content: '';
                position: absolute;
            }
            &:before {
                content: '';
                background: rgba(white, .2);
                left: 0;
                right: 0;
                top: 6px;
                height: 1px;
            }
            &:after {
                width: 6px;
                left: 100%;
                top: 0;
                bottom: 0;
                background: var(--back);
                transform: translateX(calc(var(--hx, 0) * 1px));
            }
        }
    }
    &.animation {
        --rx: -90deg;
        --br: 0;
        .default {
            --o: 0;
        }
        &.done {
            --rx: 0deg;
            --br: 15px;
            --br-d: .2s;
            .success {
                --o: 1;
                --offset: 0;
            }
        }
    }
}

        .box1 {
            width: 13px;
            height: 31px;
            right: 0px;
            bottom: 0;
            z-index: 1;
            border-radius: 1px;
            overflow: hidden;
            transform: translate(calc(var(--box-x, -24) * 1px), calc(var(--box-y, -2) * 1px)) scale(var(--box-s, .5));
            opacity: var(--box-o, 0);
            background: linear-gradient(68deg, var(--box) 0%, var(--box) 50%, var(--box-shadow) 50.2%, var(--box-shadow) 100%);
            background-size: 250% 100%;
            background-position-x: calc(var(--bx, 0) * 1%);
         
        }
        .box2 {
            width: 13px;
            height: 31px;
            right: 11px;
            bottom: 0;
            z-index: 1;
            border-radius: 1px;
            overflow: hidden;
            transform: translate(calc(var(--box-x, -24) * 1px), calc(var(--box-y, -2) * 1px)) scale(var(--box-s, .5));
            opacity: var(--box-o, 0);
            background: linear-gradient(68deg, var(--box) 0%, var(--box) 50%, var(--box-shadow) 50.2%, var(--box-shadow) 100%);
            background-size: 250% 100%;
            background-position-x: calc(var(--bx, 0) * 1%);
         
        }   
        .box3 {
            width: 11px;
            height: 25px;
            right: 17px;
            bottom: 0;
            z-index: 1;
            border-radius: 1px;
            overflow: hidden;
            transform: translate(calc(var(--box-x, -24) * 1px), calc(var(--box-y, -2) * 1px)) scale(var(--box-s, .5));
            opacity: var(--box-o, 0);
            background: linear-gradient(68deg, var(--box) 0%, var(--box) 50%, var(--box-shadow) 50.2%, var(--box-shadow) 100%);
            background-size: 250% 100%;
            background-position-x: calc(var(--bx, 0) * 1%);
         
        } 
        .box4 {
            width: 11px;
            height: 31px;
            right: 26px;
            bottom: 0;
            z-index: 1;
            border-radius: 1px;
            overflow: hidden;
            transform: translate(calc(var(--box-x, -24) * 1px), calc(var(--box-y, -2) * 1px)) scale(var(--box-s, .5));
            opacity: var(--box-o, 0);
            background: linear-gradient(68deg, var(--box) 0%, var(--box) 50%, var(--box-shadow) 50.2%, var(--box-shadow) 100%);
            background-size: 250% 100%;
            background-position-x: calc(var(--bx, 0) * 1%);
         
        } 
        .box5 {
            width: 11px;
            height: 25px;
            right: 29px;
            bottom: 0;
            z-index: 1;
            border-radius: 1px;
            overflow: hidden;
            transform: translate(calc(var(--box-x, -24) * 1px), calc(var(--box-y, -2) * 1px)) scale(var(--box-s, .5));
            opacity: var(--box-o, 0);
            background: linear-gradient(68deg, var(--box) 0%, var(--box) 50%, var(--box-shadow) 50.2%, var(--box-shadow) 100%);
            background-size: 250% 100%;
            background-position-x: calc(var(--bx, 0) * 1%);
        }
 /*******************************************truck**********************************************/



/************************effect good***********************************************/
:root {
	--exito: #3ab65c;
	--error: #bf333b;
	--info: #1898c0;
	--warning: #bc8c12;
	--exito-hover: #2d8a46;
	--error-hover: #962a31;
	--info-hover: #147fa0;
	--warning-hover: #9b7512;
  --shiny-cta-bg: #000000;
  --shiny-cta-bg-subtle: #1a1818;
  --shiny-cta-fg: #ffffff;
  --shiny-cta-highlight: rgb(0, 170, 255);
  --shiny-cta-highlight-subtle: #8484ff;
}
.contenedor {
  /* display: none; */
  position: relative;
	height: auto;
	width: auto;
	right:0;
    bottom: 0;
    top: 0vh;
    left: 0%;
    transform: translate(-50% -50%);
  display:flex;
}
.contenedor-botones {
 display: none; 
	height: auto;
	width: auto;
	top: 430px;
  left: 50px;
}
.btn {
	padding: 10px 10px;
	font-size: 20px;
	background: #000;
	border: none;
	cursor: pointer;
	color: #fff;
	border-radius: 5px;
	transition: 0.3s ease all;
}

.btn.exito {
	background: transparent;
}
.btn.error {
	background: transparent;
}
.btn.info {
	background: transparent;
}

/* Toast */
.contenedor-toast {
	right: 0px;
	bottom: 50vh;
	width: 100%;
	max-width: 100vw;
	display: flex;
	flex-direction: column-reverse;
	gap: 25px;
  position: fixed;
  z-index: 69;
}

.toast {
	background: #ccc;
	display: flex;
	justify-content: space-between;
	border-radius: 10px;
	overflow: hidden;
	animation-name: apertura;
	animation-duration: 500ms;
	animation-timing-function: ease-out;
	position: relative;
}

.toast.exito {
	    border: 1px solid rgba(241, 142, 6, 0.81);
    background-color: rgba(220, 128, 1, 0.16);
    box-shadow: 0px 0px 2px #ffb103;
    color: #ffb103;
    text-shadow: 2px 1px #00040a;
  transition:0.5s;
  cursor:pointer;
 font-family: "Poppins";
 z-index: 70;
}
.toast.error {
	border: 1px solid rgba(241, 6, 6, 0.81);
    background-color: rgba(220, 17, 1, 0.16);
    box-shadow: 0px 0px 2px #ff0303;
    color: #ff0303;
    text-shadow: 2px 1px #00040a;
  transition:0.5s;
  cursor:pointer;
  font-family: "Poppins";
}
.toast.info {
	border: 1px solid rgba(6, 241, 226, 0.81);
    background-color: rgba(1, 204, 220, 0.16);
    box-shadow: 0px 0px 2px #03fff5;
    color: #03d0ff;
    text-shadow: 2px 1px #00040a;
  transition:0.5s;
  cursor:pointer;
  font-family: "Poppins";
  z-index: 73;
}


.toast .contenido {
	display: grid;
	font-size: 20px;
	grid-template-columns: 30px auto;
	align-items: center;
	gap: 15px;
	padding: 15px;
  margin-left: 15px;
}

.toast .icono {
	color: rgba(0, 0, 0, 0.4);
 -webkit-animation: blink-1 2s infinite both;
  animation: blink-1 2s infinite both;
  width: 35px; 
  height: 35px;
  margin-left: -5px;
}


@-webkit-keyframes blink-1 {
  0%,
  50%,
  100% {
    opacity: 1;
  }
  25%,
  75% {
    opacity: 0;
  }
}
@keyframes blink-1 {
  0%,
  50%,
  100% {
    opacity: 1;
  }
  25%,
  75% {
    opacity: 0;
  }
}
.toast .titulo {
	font-size: 22px;
	font-weight: 600;
	margin-bottom: 5px;
}

.toast .btn-cerrar {
	background: rgba(0, 0, 0, 0.1);
	border: none;
	cursor: pointer;
	padding: 0px 5px;
	transition: 0.3s ease all;
}

.toast .btn-cerrar:hover {
	background: rgba(0, 0, 0, 0.3);
}

.toast .btn-cerrar .icono {
	width: 20px;
	height: 20px;
	color: #fff;
}

@keyframes apertura {
	from {
		transform: translateY(100vh);
		opacity: 0;
	}
	to {
		transform: translateY(0vh);
		opacity: 1;
	}
}

.toast.cerrando {
	animation-name: cierre;
	animation-duration: 2s;
	animation-timing-function: ease-out;
	animation-fill-mode: forwards;
}

@keyframes cierre {
  from {
		transform: translateY(0vh);
		opacity: 1;
	}
	to {
		transform: translateY(100vh);
		opacity: 0;
	}
	/* from {
		transform: translateX(0);
	}
	to {
		transform: translateX(calc(100% + 40px));
	} */
}

.toast.autoCierre::after {
	content: '';
	width: 100%;
	height: 4px;
	background: rgba(0, 0, 0, 0.5);
	position: absolute;
	bottom: 0;
	animation-name: autoCierre;
	animation-duration: 5s;
	animation-timing-function: ease-out;
	animation-fill-mode: forwards;
}

@keyframes autoCierre {
	from {
		width: 100%;
	}
	to {
		width: 0%;
	}
}
/*****************************************menu warnning************************************************************/

/*******************************************************************************************************************************************************************************************************/
.footer{
    background-color: transparent;
    color: #fff;
    font-size: 12px;
    font-weight: 400;
    text-align:center;
    position:relative;
    bottom: -20vh;
    letter-spacing: 0px;
    user-select: none;
    pointer-events: none;
}

